# HADashboard Kiosk Setup

## Inspiration / Further Reading

- [https://blockdev.io/raspberry-pi-2-and-3-chromium-in-kiosk-mode/](https://blockdev.io/raspberry-pi-2-and-3-chromium-in-kiosk-mode/)
- [https://github.com/elalemanyo/raspberry-pi-kiosk-screen](https://github.com/elalemanyo/raspberry-pi-kiosk-screen)

## Hardware

- [https://www.amazon.com/gp/product/B0749D617J](https://www.amazon.com/gp/product/B0749D617J)

## Setup

``` bash

groupadd -r autologin
usermod -a -G autologin [user] 

apt install unclutter chromium midori lxde lightdm xserver-xorg accountsservice
sed -i 's/#autologin-user=/autologin-user=[user]/g' /etc/lightdm/lightdm.conf
systemctl restart lightdm

cat >> /home/[user]/.config/lxsession/LXDE/autostart <<EOF
@xset s off
@xset -dpms
@xset s noblank
@sed -i 's/"exited_cleanly": false/"exited_cleanly": true/' ~/.config/chromium-browser Default/Preferences
#@chromium-browser --noerrdialogs --kiosk https://home-assistant.domain.tld --incognito --disable-translate
#@midori -e Fullscreen -a https://home-assistant.domain.tld
EOF

systemctl restart lightdm

```
