# Z-Wave Notes

## Aeotec Z-Stick "Disco Lights"

On/Off details [here](https://www.home-assistant.io/docs/z-wave/device-specific/#aeotec-z-stick)

## Good Articles / Further Reading

- [https://drzwave.blog/2017/01/20/seven-habits-of-highly-effective-z-wave-networks-for-consumers/](https://drzwave.blog/2017/01/20/seven-habits-of-highly-effective-z-wave-networks-for-consumers/)

## Generating a network key

From [https://www.home-assistant.io/docs/z-wave/adding/](https://www.home-assistant.io/docs/z-wave/adding/)

``` bash

cat /dev/urandom | tr -dc '0-9A-F' | fold -w 32 | head -n 1 | sed -e 's/\(..\)/0x\1, /g' -e 's/, $//'

```